## gammu-1.10.6.tar.bz2

=== CMakeLists.txt ===
# cmake <http://www.cmake.org> build file for Gammu
# Copyright (c) 2007 Michal Cihar
# vim: expandtab sw=4 ts=4 sts=4:

project (Gammu C)

# I didn't check older versions
cmake_minimum_required (VERSION 2.4.2)

# Where to lookup modules
set (CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

# Support for cross compilation
if (UNIX)
    option (CROSS_MINGW "Cross compile using MinGW on linux" OFF)
else (UNIX)
    set (CROSS_MINGW OFF)
endif (UNIX)
if (CROSS_MINGW)
    message ("Cross compilign using MinGW")
    set (CMAKE_CXX_COMPILER "i586-mingw32msvc-c++")
    set (CMAKE_COMPILER_IS_GNUCXX 1)
    set (CMAKE_C_FLAGS     "${CMAKE_C_FLAGS} -Wall -Werror-implicit-function-declaration")
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Werror-implicit-function-declaration")
    set (CMAKE_C_COMPILER "i586-mingw32msvc-gcc")
    set (CMAKE_AR "i586-mingw32msvc-ar")
    set (CMAKE_RANLIB "i586-mingw32msvc-ranlib")
    set (CMAKE_SHARED_LIBRARY_LINK_C_FLAGS "l")
    set (WIN32 ON)
    set (MINGW ON)

    include (WindowsCross)

    # Detection not supported for cross compiling
    set (HAVE_ISWSPACE ON)
    set (HAVE_TOWLOWER ON)

    # CPack configuration
    set (CPACK_GENERATOR "ZIP;NSIS")
    set (CPACK_SOURCE_GENERATOR "ZIP")
    set (CPACK_TOPLEVEL_TAG "Source")
    set (CPACK_SYSTEM_NAME "Windows")
else (CROSS_MINGW)
# FIXME: we should detect whether compiler supports -Wno-pointer-sign
    set (CMAKE_C_FLAGS     "${CMAKE_C_FLAGS} -Wall -Wno-pointer-sign -Werror-implicit-function-declaration")
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wno-pointer-sign -Werror-implicit-function-declaration")
endif (CROSS_MINGW)

# Read version
file (READ "${CMAKE_SOURCE_DIR}/VERSION" VERSION_WIN)
string (REPLACE "\n" "" VERSION_WIN ${VERSION_WIN})
string (REPLACE "\r" "" VERSION_WIN ${VERSION_WIN})
string (REPLACE "," "." VERSION ${VERSION_WIN})
string (REGEX REPLACE "^([0-9]*)\\.([0-9]*)\\.([0-9]*)" "\\1" VERSION_MAJOR ${VERSION})
string (REGEX REPLACE "^([0-9]*)\\.([0-9]*)\\.([0-9]*)" "\\2" VERSION_MINOR ${VERSION})
string (REGEX REPLACE "^([0-9]*)\\.([0-9]*)\\.([0-9]*)" "\\3" VERSION_PATCH ${VERSION})
set (VERSION_WIN "${VERSION_WIN},0")
message ("Configuring ${CMAKE_PROJECT_NAME} ${VERSION}")

if ("${Gammu_BINARY_DIR}" STREQUAL "${Gammu_SOURCE_DIR}")
    message (FATAL_ERROR "In tree build is not supported by Gammu, run cmake from different directory where binaries will be placed!")
endif ("${Gammu_BINARY_DIR}" STREQUAL "${Gammu_SOURCE_DIR}")

# For debugging
if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    set (CMAKE_VERBOSE_MAKEFILE ON)
    set (DEBUG 1)
else (CMAKE_BUILD_TYPE STREQUAL "Debug")
    set (CMAKE_VERBOSE_MAKEFILE OFF)
    set (DEBUG 0)
endif (CMAKE_BUILD_TYPE STREQUAL "Debug")

# No rpath by default
if (NOT DEFINED WITH_RPATH)
    set (WITH_RPATH FALSE CACHE BOOL "Enable rpath in resulting libraries")
    mark_as_advanced (WITH_RPATH)
endif (NOT DEFINED WITH_RPATH)

if (WITH_RPATH)
    set (CMAKE_SKIP_RPATH OFF)
else (WITH_RPATH)
    set (CMAKE_SKIP_RPATH ON)
endif (WITH_RPATH)

# Static library by default
if (NOT DEFINED ENABLE_SHARED)
    set (ENABLE_SHARED FALSE CACHE BOOL "Build shared library")
endif (NOT DEFINED ENABLE_SHARED)

set (BUILD_SHARED_LIBS ${ENABLE_SHARED} CACHE INTERNAL "Shared build")


# Packaging support
set (CPACK_PACKAGE_NAME "Gammu")
set (CPACK_PACKAGE_VERSION "${VERSION}")
set (CPACK_PACKAGE_DESCRIPTION_SUMMARY "Gammu ${VERSION}")
set (CPACK_PACKAGE_VENDOR "Michal Čihař, Macin Wiacek and others")
set (CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README")
set (CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
set (CPACK_PACKAGE_VERSION_MAJOR "${VERSION_MAJOR}")
set (CPACK_PACKAGE_VERSION_MINOR "${VERSION_MINOR}")
set (CPACK_PACKAGE_VERSION_PATCH "${VERSION_PATCH}")
if (WIN32)
set (CPACK_PACKAGE_INSTALL_DIRECTORY "Gammu ${VERSION}")
endif (WIN32)
if (WIN32)
  # There is a bug in NSI that does not handle full unix paths properly. Make
  # sure there is at least one set of four (4) backlasshes.
  #set (CPACK_PACKAGE_ICON "${CMake_SOURCE_DIR}/Utilities/Release\\\\InstallIcon.bmp")
  #set (CPACK_NSIS_INSTALLED_ICON_NAME "bin\\\\MyExecutable.exe")
  set (CPACK_NSIS_DISPLAY_NAME "${CPACK_PACKAGE_INSTALL_DIRECTORY} Gammu")
  set (CPACK_NSIS_HELP_LINK "http:\\\\\\\\www.gammu.org")
  set (CPACK_NSIS_URL_INFO_ABOUT "http:\\\\\\\\www.gammu.org")
  set (CPACK_NSIS_CONTACT "michal@cihar.com")
  set (CPACK_NSIS_MODIFY_PATH ON)
else (WIN32)
  set (CPACK_STRIP_FILES "gammu")
  set (CPACK_SOURCE_STRIP_FILES "")
endif (WIN32)
include (CPack)

# Standard packages
include (CheckCSourceCompiles)
include (CheckIncludeFile)
include (CheckFunctionExists)

# Packages in our sources (mostly taken from KDE)
include (MacroOptionalFindPackage)
include (MacroGammuOption)

# WE use pkgconfig later
find_package (PkgConfig)

# Standard packages
macro_optional_find_package (Doxygen)

# Packages in sources
macro_optional_find_package (Gettext)

# Check disabled for cross, but we have some libraries
if (CROSS_MINGW)

    set (MYSQL_CROSS_PATH "${Gammu_SOURCE_DIR}/../../win-cross/mysql" CACHE FILEPATH "Path to MySQL for cross compilation")
    find_library (MYSQL_LIBRARIES 
        mysql "${MYSQL_CROSS_PATH}/lib/opt" 
        NO_DEFAULT_PATH NO_CMAKE_PATH NO_CMAKE_ENVIRONMENT_PATH NO_SYSTEM_ENVIRONMENT_PATH NO_CMAKE_SYSTEM_PATH)
    if (MYSQL_LIBRARIES) 
        set (MYSQL_FOUND ON)
        set (MYSQL_INCLUDE_DIR "${MYSQL_CROSS_PATH}/include")
        message ("Cross MySQL found, libs: ${MYSQL_LIBRARIES}, incs: ${MYSQL_INCLUDE_DIR}")
    else (MYSQL_LIBRARIES) 
        message ("Cross MySQL not found")
    endif (MYSQL_LIBRARIES) 

    set (POSTGRES_CROSS_PATH "${Gammu_SOURCE_DIR}/../../win-cross/pgsql" CACHE FILEPATH "Path to PostgreSQL for cross compilation")
    find_library (POSTGRES_LIBRARY 
        pq "${POSTGRES_CROSS_PATH}/lib"
        NO_DEFAULT_PATH NO_CMAKE_PATH NO_CMAKE_ENVIRONMENT_PATH NO_SYSTEM_ENVIRONMENT_PATH NO_CMAKE_SYSTEM_PATH)
    if (POSTGRES_LIBRARY) 
        set (POSTGRES_FOUND ON)
        set (POSTGRES_INCLUDE_DIR "${POSTGRES_CROSS_PATH}/include")
        message ("Cross PostgreSQL found, libs: ${POSTGRES_LIBRARY}, incs: ${POSTGRES_INCLUDE_DIR}")
    else (POSTGRES_LIBRARY) 
        message ("Cross PostgreSQL not found")
    endif (POSTGRES_LIBRARY) 

    set (GETTEXT_CROSS_PATH "${Gammu_SOURCE_DIR}/../../win-cross/gettext" CACHE FILEPATH "Path to Gettext for cross compilation")
    find_library (GETTEXT_LIBRARY 
        intl "${GETTEXT_CROSS_PATH}/lib"
        NO_DEFAULT_PATH NO_CMAKE_PATH NO_CMAKE_ENVIRONMENT_PATH NO_SYSTEM_ENVIRONMENT_PATH NO_CMAKE_SYSTEM_PATH)
    if (GETTEXT_LIBRARY) 
        set (GETTEXTLIBS_FOUND ON)
        set (GETTEXT_INCLUDE_DIR "${GETTEXT_CROSS_PATH}/include")
        message ("Cross Gettext found, libs: ${GETTEXT_LIBRARY}, incs: ${GETTEXT_INCLUDE_DIR}")
    else (GETTEXT_LIBRARY) 
        message ("Cross Gettext not found")
    endif (GETTEXT_LIBRARY) 

else (CROSS_MINGW)
    # Standard packages
    macro_optional_find_package (Threads)

    # Packages in sources
    macro_optional_find_package (MySQL)
    macro_optional_find_package (Postgres)
    macro_optional_find_package (GettextLibs)

    # Search for needed includes and functions
    check_include_file (dirent.h HAVE_DIRENT_H)
    check_include_file (sys/ioctl.h HAVE_SYS_IOCTL_H)
    check_include_file (sys/utsname.h HAVE_SYS_UTSNAME_H)
    check_function_exists (scandir HAVE_SCANDIR)
    check_function_exists (alphasort HAVE_ALPHASORT)
    check_function_exists (iswspace HAVE_ISWSPACE)
    check_function_exists (towlower HAVE_TOWLOWER)
    check_function_exists (strncasecmp HAVE_STRNCASECMP)
    check_function_exists (strcasecmp HAVE_STRCASECMP)
    check_function_exists (strcasestr HAVE_STRCASESTR)
    check_function_exists (strchrnul HAVE_STRCHRNUL)
    check_function_exists (sin HAVE_SIN)

endif (CROSS_MINGW)

macro_optional_find_package (Bluez)

OPTION(WITH_IrDA "Search for IrDA package" ON)
if (WITH_IrDA)
    if (NOT CROSS_MINGW)
        check_c_source_compiles (
            "
#include <sys/socket.h>
#include <linux/types.h>
#include <sys/ioctl.h>
#include <linux/irda.h>
    int main(int argc, char **argv) { 
        return 0; 
    }
            " 
            IRDA_FOUND
            )
    else (NOT CROSS_MINGW)
        set (IRDA_FOUND YES)
    endif (NOT CROSS_MINGW)
else (WITH_IrDA)
    set (IRDA_FOUND)
endif (WITH_IrDA)

set (LOCALES 
    cs 
    de 
    es 
    it 
    pl 
    ru 
    )

set (EXAMPLES
    docs/examples/config/smsdrc
    docs/examples/config/gammurc
    docs/examples/config/mysql.sql
    docs/examples/config/pgsql.sql
    docs/examples/fax/faxreceive
    docs/examples/fax/faxsend
    docs/examples/media/aliens.nlm
    docs/examples/media/axelf.txt
    docs/examples/ppp/data
    docs/examples/ppp/gprs
    docs/examples/ppp/startppp
    docs/examples/ppp/statsppp
    other/php/php1/admin.php
    other/php/php2/linked.php
    other/php/php2/linked.sql
    other/php/php3/config.php
    other/php/php3/funcoes/func.gammu.php
    other/php/php3/funcoes/func.sql.php
    other/php/php3/index.php
    other/php/php3/intergammu.txt
    other/php/php3/proc/admin.php
    other/php/php3/proclast.sql
    other/php/php4/sms.php
    )

set (DEVELDOCS
    docs/develop/Gammu.htm
    docs/develop/develop.txt
    docs/develop/gammu_hints.txt
    docs/develop/protocol/TDMA_5120.txt
    docs/develop/protocol/carkit.txt
    docs/develop/protocol/n6110.txt
    docs/develop/protocol/n6510.txt
    docs/develop/protocol/n7110.txt
    docs/develop/protocol/nokia.txt
    docs/develop/protocol/readme
    docs/develop/sms/charset.txt
    docs/develop/sms/convert.txt
    docs/develop/sms/readme
    docs/develop/sounds/readme
    docs/develop/sounds/ring2.txt
    )

set (DOCS
    README 
    SUPPORTERS
    ChangeLog 
    COPYING
    docs/user/replace.txt
    docs/user/readme.htm
    docs/user/gammu.htm
    docs/user/gammu.it.txt
    docs/user/readme.it.txt
    )

set (UTILS
    utils/gammu-config
    )

set (SYMBIAN_FILES
    other/symbian/readme.txt
    other/symbian/gnapplet.ini
    other/symbian/gnapplet.sis
    )

set (MAN1_PAGES
    docs/user/gammu.1
    )

set (HEADERS
    common/device/bluetoth/affix.h
    common/device/bluetoth/blue_w32.h
    common/device/bluetoth/bluetoth.h
    common/device/bluetoth/bluez.h
    common/device/devfunc.h
    common/device/irda/irda.h
    common/device/irda/irda_unx.h
    common/device/irda/irda_w32.h
    common/device/serial/ser_djg.h
    common/device/serial/ser_unx.h
    common/device/serial/ser_w32.h
    common/gammu.h
    common/misc/coding/md5.h
    common/misc/coding/coding.h
    common/misc/cfg.h
    common/misc/misc.h
    common/phone/alcatel/alcatel.h
    common/phone/at/samsung.h
    common/phone/at/siemens.h
    common/phone/at/atfunc.h
    common/phone/at/atgen.h
    common/phone/nokia/dct3/dct3comm.h
    common/phone/nokia/dct3/dct3func.h
    common/phone/nokia/dct3/n0650.h
    common/phone/nokia/dct3/n6110.h
    common/phone/nokia/dct3/n7110.h
    common/phone/nokia/dct3/n9210.h
    common/phone/nokia/nfuncold.h
    common/phone/nokia/ncommon.h
    common/phone/nokia/nfunc.h
    common/phone/nokia/wd2/n3650.h
    common/phone/nokia/dct4s40/6510/6510cal.h
    common/phone/nokia/dct4s40/6510/6510file.h
    common/phone/nokia/dct4s40/6510/n6510.h
    common/phone/nokia/dct4s40/dct4func.h
    common/phone/nokia/dct4s40/n3320.h
    common/phone/obex/obexgen.h
    common/phone/obex/obexfunc.h
    common/phone/pfunc.h
    common/phone/symbian/gnapgen.h
    common/phone/sonyeric/sefunc.h
    common/phone/sonyeric/sonyeric.h
    common/protocol/alcatel/alcabus.h
    common/protocol/at/at.h
    common/protocol/nokia/fbus2.h
    common/protocol/nokia/mbus2.h
    common/protocol/nokia/phonet.h
    common/protocol/obex/obex.h
    common/protocol/protocol.h
    common/protocol/symbian/gnapbus.h
    common/service/backup/backics.h
    common/service/backup/backldif.h
    common/service/backup/backlmb.h

=== Makefile ===

TOPDIR=.

include $(TOPDIR)/cfg/Makefile.glo

=== docs/Makefile ===

TOPDIR=..

include $(TOPDIR)/cfg/Makefile.glo

=== common/device/irda/Makefile ===

TOPDIR=../../..

include $(TOPDIR)/cfg/Makefile.glo

=== common/phone/nokia/dct4s40/Makefile ===

TOPDIR=../../../..

include $(TOPDIR)/cfg/Makefile.glo

=== cfg/debian/control ===
Source: gammu
Section: comm
Priority: optional
Maintainer: Michal Cihar <michal@cihar.com>
Build-Depends: debhelper (>= 4.0.0), libc6-dev, libbluetooth1, libbluetooth1-dev, autoconf
Standards-Version: 3.6.0

Package: gammu
Architecture: any
Depends: ${shlibs:Depends}
Suggests: wammu
Description: Mobile phone management utility
 Gammu (GNU All Mobile Management Utility) is program to manage mobile phone.
 .
 Gammu can do such things with cellular phones as making data calls,
 updating the address book, changing calendar and ToDo entries, sending and
 receiving SMS messages, loading and getting ring tones and pictures (different
 types of logos), synchronizing time, enabling NetMonitor, managing WAP
 settings and bookmarks and much more. Functions depend on the phone model.
 .
 Currently supported phones are:
 .
  * Many Nokia phones.
  * Alcatel BE5 (501/701), BF5 (715), BH4 (535/735).
  * Any AT capable phone (Siemens, Nokia, Alcatel, IPAQ).
 .
 This package contains gammu binary.

Package: libgammu1-dev
Replaces: libgammu-dev
Conflicts: libgammu-dev, libgammu
Section: libdevel
Architecture: any
Depends: libgammu1 (= ${Source-Version})
Description: Header files for Gammu
 Gammu (GNU All Mobile Management Utility) is program to manage mobile phone.
 .
 Gammu can do such things with cellular phones as making data calls,
 updating the address book, changing calendar and ToDo entries, sending and
 receiving SMS messages, loading and getting ring tones and pictures (different
 types of logos), synchronizing time, enabling NetMonitor, managing WAP
 settings and bookmarks and much more. Functions depend on the phone model.
 .
 Currently supported phones are:
 .
  * Many Nokia phones.
  * Alcatel BE5 (501/701), BF5 (715), BH4 (535/735).
  * Any AT capable phone (Siemens, Nokia, Alcatel, IPAQ).
 .
 This package contains header files needed for compiling programs with Gammu.

Package: libgammu1
Replaces: libgammu
Conflicts: libgammu
Suggests: gammu
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description:  Mobile phone management library
 Gammu (GNU All Mobile Management Utility) is program to manage mobile phone.
 .
 Gammu can do such things with cellular phones as making data calls,
 updating the address book, changing calendar and ToDo entries, sending and
 receiving SMS messages, loading and getting ring tones and pictures (different
 types of logos), synchronizing time, enabling NetMonitor, managing WAP
 settings and bookmarks and much more. Functions depend on the phone model.
 .
 Currently supported phones are:
 .
  * Many Nokia phones.
  * Alcatel BE5 (501/701), BF5 (715), BH4 (535/735).
  * Any AT capable phone (Siemens, Nokia, Alcatel, IPAQ).
 .
 This package contains Gammu library.

=== cfg/debian/rules ===
#!/usr/bin/make -f
# Gammu rules file by Michal Čihař <michal@cihar.com>
#
# Based on
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

DEBVER=$(shell head -1 debian/changelog.main | tr -d \n | cut -d\( -f2|cut -d \) -f1)
OLDVER=$(shell echo $(DEBVER) | cut -d- -f1)
OLDREL=$(shell echo $(DEBVER) | cut -d- -f2)
VER=$(shell sed -e 's!,!.!g' VERSION)
ifeq (mainstream,$(findstring mainstream,$(DEB_BUILD_OPTIONS)))
	REL=$(OLDREL)
else
	ifeq ($(OLDVER),$(VER))
		REL=$(OLDREL).0
	else
		REL=0.0
	endif
endif

configure-stamp:
	dh_testdir
	./configure \
		CFLAGS=$(CFLAGS) \
		--prefix=/usr \
		--includedir=\$${prefix}/include \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--with-docdir=\$${prefix}/share/doc/gammu \
		--with-localedir=\$${prefix}/share/gammu \
		--enable-cb
	touch configure-stamp


build: build-stamp

build-stamp:  debian/changelog configure-stamp
	dh_testdir

	$(MAKE) shared

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -f debian/changelog
	rm -f configure-stamp
	-$(MAKE) clean


	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -A
	$(MAKE) installshared DESTDIR=$(CURDIR)/debian/tmp


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_installinfo
	dh_installdocs
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_movefiles
	for name in gammu libgammu1 libgammu1-dev ; do install -m644 debian/bug.control debian/$$name/usr/share/bug/$$name/control ; done
	dh_makeshlibs -V 'libgammu1 (= $(VER)-$(REL))'
	dh_shlibdeps -L libgammu1 -l debian/libgammu1/usr/lib
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

debian/changelog:
ifeq (mainstream,$(findstring mainstream,$(DEB_BUILD_OPTIONS)))
	cp debian/changelog.main debian/changelog
else
	echo "gammu ("$(VER)-$(REL)") unstable;  urgency=low" > debian/changelog
	echo >> debian/changelog
	echo "  * Locally built." >> debian/changelog
	echo >> debian/changelog
	echo " -- $${DEBFULLNAME:-Unconfigured} <$${DEBEMAIL:-unknown@email}>  $(shell date --rfc-822)" >> debian/changelog
	echo >> debian/changelog
	cat debian/changelog.main >> debian/changelog
endif
